Innehåll

# Add-in Functions, List of Analysis Functions Part Two

The Add-in functions are supplied by the UNO com.sun.star.sheet.addin.Analysis service.

Så här använder du det här kommandot...

Infoga - Funktion - KategoriAdd-In

## [text/scalc/01/func_imcos.xhp#imcos_head not found].

Returns the cosine of a complex number.

## [text/scalc/01/func_imcosh.xhp#imcosh_head not found].

Returns the hyperbolic cosine of a complex number.

## [text/scalc/01/func_imcot.xhp#imcot_head not found].

Returns the cotangent of a complex number.

## [text/scalc/01/func_imcsc.xhp#imcsc_head not found].

Returns the cosecant of a complex number.

## [text/scalc/01/func_imcsch.xhp#imcsch_head not found].

Returns the hyperbolic cosecant of a complex number.

## [text/scalc/01/func_imsec.xhp#imsec_head not found].

Returns the secant of a complex number.

## [text/scalc/01/func_imsech.xhp#imsech_head not found].

Returns the hyperbolic secant of a complex number.

## [text/scalc/01/func_imsin.xhp#imsin_head not found].

Returns the sine of a complex number.

## [text/scalc/01/func_imsinh.xhp#imsinh_head not found].

Returns the hyperbolic sine of a complex number.

## [text/scalc/01/func_imtan.xhp#imtan_head not found].

Returns the tangent of a complex number.

## CONVERT

Converts a value from one unit of measurement to the corresponding value in another unit of measurement.

## DUBBELFAKULTET

Returnerar dubbla fakulteten för ett tal.

#### Syntax

DUBBELFAKULTET(Tal)

Returnerar Tal !!, dubbla fakulteten för Tal, där Tal är ett heltal som är större än eller lika med noll.

Vid jämna tal, DUBBELFAKULTET(n) returnerar:

2*4*6*8* ... *n

Vid udda tal, DUBBELFAKULTET(n) returnerar:

1*3*5*7* ... *n

DUBBELFAKULTET(0) returnerar 1 per definition.

#### Exempel

=DUBBELFAKULTET(5) returnerar 15.

=DUBBELFAKULTET(6) returnerar 48.

=DUBBELFAKULTET(0) returnerar 1.

## IMABS

Returnerar det absoluta värdet av ett komplext tal.

#### Syntax

IMABS("KomplextTal")

KomplextTal är ett komplext tal som anges i formatet "x+yi" eller "x+yj".

#### Exempel

=IMABS("5+12j") returnerar 13.

## IMAGINÄR

Returnerar imaginärdelen av ett komplext tal.

#### Syntax

IMAGINARY("KomplextTal")

KomplextTal är ett komplext tal som anges i formatet "x+yi" eller "x+yj".

#### Exempel

=IMAGINÄR("4+3j") returnerar 3.

## IMARGUMENT

Returnerar argumentet (fi-vinkeln) för ett komplext tal.

#### Syntax

IMARGUMENT("KomplextTal")

KomplextTal är ett komplext tal som anges i formatet "x+yi" eller "x+yj".

#### Exempel

=IMARGUMENT("3+4j") returnerar 0,927295.

## IMDIFF

Resultatet är subtraktionen av två komplexa tal.

#### Syntax

IMSUB("KomplextTal1"; "KomplextTal2")

KomplextTal är ett komplext tal som anges i formatet "x+yi" eller "x+yj".

#### Exempel

=IMDIFF("13+4j";"5+3j") returnerar 8+j.

## IMDIV

Returnerar divisionen av två komplexa tal.

#### Syntax

IMDIV("Täljare"; "Nämnare")

Täljare, Nämnare är komplexa tal som anges i formatet "x+yi" eller "x+yj".

#### Exempel

=IMDIV("-238+240i";"10+24i") returnerar 5+12i.

## IMEUPPHÖJT

Returnerar potensen av e och det komplexa talet. Konstanten e har det ungefärliga värdet 2,71828182845904.

#### Syntax

IMEXP("KomplextTal")

KomplextTal är ett komplext tal som anges i formatet "x+yi" eller "x+yj".

#### Exempel

=IMEXP("1+j") returnerar 1,47+2,29j (avrundat).

## IMKONJUGAT

Returnerar det sammanfogade komplexa komplementet till ett komplext tal.

#### Syntax

IMCONJUGATE("KomplextTal")

KomplextTal är ett komplext tal som anges i formatet "x+yi" eller "x+yj".

#### Exempel

=IMKONJUGAT("1+j") returnerar 1-j.

## IMLN

Returnerar den naturliga logaritmen (till basen e) av ett komplext tal. Konstanten e har det ungefärliga värdet 2,71828182845904.

#### Syntax

IMLN("KomplextTal")

KomplextTal är ett komplext tal som anges i formatet "x+yi" eller "x+yj".

#### Exempel

=IMLN("1+j") returnerar 0,35+0,79j (avrundat).

## IMLOG10

Returnerar den vanliga logaritmen (till basen e) av ett komplext tal.

#### Syntax

IMLOG10("KomplextTal")

KomplextTal är ett komplext tal som anges i formatet "x+yi" eller "x+yj".

#### Exempel

=IMLOG10("1+j") returnerar 0,15+0,34j (avrundat).

## IMLOG2

Returnerar den binära logaritmen av ett komplext tal.

#### Syntax

IMLOG2("KomplextTal")

KomplextTal är ett komplext tal som anges i formatet "x+yi" eller "x+yj".

#### Exempel

=IMLOG2("1+j") returnerar 0,47+2,29j (avrundat).

## IMPRODUKT

The result is the product of a set of complex numbers.

#### Syntax

IMPRODUCT(Complex 1 [; Complex 2 [; … [; Complex 255]]])

Complex 1; Complex 2; … ; Complex 255 are complex numbers, references to cells or to cell ranges of complex numbers. Complex numbers are entered in the form "x+yi" or "x+yj".

#### Exempel

=IMPRODUKT("3+4j";"5-3j") returnerar 27+11j.

## IMREAL

Returnerar realdelen av ett komplext tal.

#### Syntax

IMREAL("KomplextTal")

KomplextTal är ett komplext tal som anges i formatet "x+yi" eller "x+yj".

#### Exempel

=IMREAL("1+3j") returnerar 1.

## IMROT

Returnerar kvadratroten av ett komplext tal.

#### Syntax

IMSQRT("KomplextTal")

KomplextTal är ett komplext tal som anges i formatet "x+yi" eller "x+yj".

#### Exempel

=IMROT("3+4i") returnerar 2+1i.

## IMSUM

The result is the sum of a set of complex numbers.

#### Syntax

IMSUM(Complex 1 [; Complex 2 [; … [; Complex 255]]])

Complex 1; Complex 2; … ; Complex 255 are complex numbers, references to cells or to cell ranges of complex numbers. Complex numbers are entered in the form "x+yi" or "x+yj".

#### Exempel

=IMSUM("13+4j";"5+3j") returnerar 18+7j.

## IMUPPHÖJT

Resultatet är KomplextTal upphöjt till Tal.

#### Syntax

IMPOWER("KomplextTal"; Tal)

KomplextTal är ett komplext tal som anges i formatet "x+yi" eller "x+yj".

Tal är exponenten.

#### Exempel

=IMUPPHÖJT("2+3i";2) returnerar -5+12i.

## KOMPLEX

Returnerar ett komplext tal som har returnerats från en realdel och en imaginär del.

#### Syntax

COMPLEX(RealNum; INum [; Suffix])

Rtal är den reella koefficienten för det komplexa talet.

ITal är den imaginära koefficienten för det komplexa talet.

Suffix är en lista över alternativ, "i" eller "j".

#### Exempel

=KOMPLEX(3;4;"j") returnerar 3+4j.

## OKT.TILL.BIN

The result is the string representing the number in binary (base-2) form for the octal number string entered.

#### Syntax

OCT2BIN(Number [; Places])

Number is a string that represents an octal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

Antal siffror är det antal siffror som genereras.

#### Exempel

=OCT2BIN("3";3) returns "011".

## OKT.TILL.DEC

The result is the number for the octal number string entered.

#### Syntax

OKT.TILL.DEC(Tal)

Number is a string that represents an octal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

#### Exempel

=OCT2DEC("144") returns 100.

## OKT.TILL.HEX

The result is the string representing the number in hexadecimal form for the octal number string entered.

#### Syntax

OCT2HEX(Number [; Places])

Number is a string that represents an octal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

Antal siffror är det antal siffror som genereras.

#### Exempel

=OCT2HEX("144";4) returns "0064".

Närliggande ämnen

Add-in Functions

Add-in Functions, List of Analysis Functions Part One

Statistics Functions

Functions by Category